#include "systemc.h"

SC_MODULE(reset_bca) {
   sc_in_clk clk;
   sc_out<int> rstp;
   
   static int count;
   
   void reset_f();
   
   SC_CTOR(reset_bca){
      SC_THREAD(reset_f);
      sensitive << clk;
   }
};
